petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSGLAcceptRegister

adds a TSGL acceptance scheme

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGLAcceptRegister(const char sname[],TSGLAcceptFunction function)

Not Collective Many br

### Input Parameters

| name_scheme | - name of user-defined acceptance scheme Many br
| routine_create | - routine to create method context Many br

### Notes

TSGLAcceptRegister() may be called multiple times to add several user-defined families. Many br

### Sample usage

       TSGLAcceptRegister("my_scheme",MySchemeCreate);

Many br

Then, your scheme can be chosen with the procedural interface via Many br

        TSGLSetAcceptType(ts,"my_scheme")

or at runtime via the option Many br

        -ts_gl_accept_type my_scheme

Many br

### Keywords

TSGL, TSGLAcceptType, register

### See Also

TSGLRegisterAll()

Level:advanced
Location:src/ts/impls/implicit/gl/gl.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages